AuditEntity (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query
Class AuditEntity

    java.lang.Object
      org.hibernate.envers.query.AuditEntity

    public class AuditEntity

extends Object

TODO: ilike

See Also:
  `Restrictions`

Method Summary
`static AuditCriterion` | `and(AuditCriterion lhs, AuditCriterion rhs)` Return the conjuction of two criterions.
`static AuditConjunction` | `conjunction()` Group criterions together in a single conjunction (A and B and C...).
`static AuditDisjunction` | `disjunction()` Group criterions together in a single disjunction (A or B or C...).
`static AuditId` | `id()`
`static AuditCriterion` | `not(AuditCriterion expression)` Return the negation of a criterion.
`static AuditCriterion` | `or(AuditCriterion lhs, AuditCriterion rhs)` Return the disjuction of two criterions.
`static AuditProperty<Object>` | `property(String propertyName)` Create restrictions, projections and specify order for a property of an audited entity.
`static AuditRelatedId` | `relatedId(String propertyName)` Create restrictions on an id of a related entity.
`static AuditProperty<Number>` | `revisionNumber()` Create restrictions, projections and specify order for the revision number, corresponding to an audited entity.
`static AuditProperty<Object>` | `revisionProperty(String propertyName)` Create restrictions, projections and specify order for a property of the revision entity, corresponding to an audited entity.
`static AuditProperty<RevisionType>` | `revisionType()` Create restrictions, projections and specify order for the revision type, corresponding to an audited entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### id

    public static AuditId id()

### property

    public static AuditProperty<Object> property(String propertyName)

  Create restrictions, projections and specify order for a property of an audited entity.

  Parameters:
    `propertyName` - Name of the property.

### revisionNumber

    public static AuditProperty<Number> revisionNumber()

  Create restrictions, projections and specify order for the revision number, corresponding to an audited entity.

### revisionProperty

    public static AuditProperty<Object> revisionProperty(String propertyName)

  Create restrictions, projections and specify order for a property of the revision entity, corresponding to an audited entity.

  Parameters:
    `propertyName` - Name of the property.

### revisionType

    public static AuditProperty<RevisionType> revisionType()

  Create restrictions, projections and specify order for the revision type, corresponding to an audited entity.

### relatedId

    public static AuditRelatedId relatedId(String propertyName)

  Create restrictions on an id of a related entity.

  Parameters:
    `propertyName` - Name of the property, which is the relation.

### and

    public static AuditCriterion and(AuditCriterion lhs,
                                     AuditCriterion rhs)

  Return the conjuction of two criterions.

### or

    public static AuditCriterion or(AuditCriterion lhs,
                                    AuditCriterion rhs)

  Return the disjuction of two criterions.

### not

    public static AuditCriterion not(AuditCriterion expression)

  Return the negation of a criterion.

### conjunction

    public static AuditConjunction conjunction()

  Group criterions together in a single conjunction (A and B and C...).

### disjunction

    public static AuditDisjunction disjunction()

  Group criterions together in a single disjunction (A or B or C...).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.